<div class="container mt-4">
  <div class="row">
    <div class="col-9">
      <div class="card">
        <img src="../assets/noAvailableImage.jpg" class="card-img-top" *ngIf="images.length == 0" id="add-images">
        <ngb-carousel *ngIf="images.length > 0">
          <ng-template ngbSlide *ngFor="let image of images">
            <img [src]="image.url" class="card-img-top carousel-image" id="add-images">
          </ng-template>
        </ngb-carousel>
        <div class="card-body bg-light">
          <p>{{add?.details}}</p>
        </div>
      </div>
    </div>
    <div class="col-3 bg-light border">
      <h4 class="text-primary mb-3">Add details <i *ngIf="userId == seller?.id || isAdmin" ngbTooltip="Remove" class="far fa-trash-alt text-danger mr-5" (click)="open(deleteAdd)"></i>
      </h4>
      <p>
        <b>Make: </b> {{add?.make}}
      </p>
      <p>
        <b>Model: </b> {{add?.model}}
      </p>
      <p>
        <b>Mileage: </b> {{add?.mileage}} mi
      </p>
      <p>
        <b>Price: </b> {{add?.price}} $
      </p>
      <p>
        <b>Year: </b> {{add?.year}}
      </p>
      <p>
        <b>Add Date: </b> {{add?.dateCreated | date: 'dd. MMMM yyyy'}}
      </p>
      <hr>
      <h4 class="text-primary mb-3">Seller info</h4>
      <p>
        <b>Name: </b> {{seller?.firstName}} {{seller?.lastName}}
      </p>
      <p>
        <b>Phone: </b> {{seller?.phoneNumber}}
      </p>
      <p>
        <b>Email: </b> {{seller?.email}}
      </p>
      <p>
        <b>City: </b> {{add?.city}}
      </p>
      <p>
        <b>Address: </b> {{seller?.address}}
      </p>
    </div>
  </div>
  <div class="row mt-1">
    <div class="col-8"></div>
    <div class="col-3"></div>
    <button class="btn btn-primary col-1" (click)="onBack()">Back</button>
  </div>
</div>


<ng-template #deleteAdd let-c="close" let-d="dismiss">
  <div class="modal-header bg-danger">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h5>Are you sure you want to delete this add?</h5>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-danger" (click)="deleteSelectedAdd();c()">Delete</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>